.rui-rgba-picker {
  /*
   * vanilla-picker overrides
   */

  // Use half of a normal space to emulate the gap we would have with a
  // `gap` attribute, which is unusable due to hidden elements
  $spacer: calc(var(--spacer-default) / 2);

  // Main widget
  .layout_default.picker_wrapper {

    // Half of a gap
    padding: $spacer;
    border-radius: var(--border-radius);
    margin: 0;
    background: var(--component-content-background);

    // Remove fake outline
    box-shadow: none;

    // All the widgets sizes are in `em`, let's redefine a base size
    font-size: 7px;

    > * {

      // Half of a gap
      margin: $spacer;
    }

    // Sliders and colored areas
    .picker_slider,
    .picker_sl,
    .picker_sample {

      // Override the fake outline
      box-shadow: 0 0 0 1px var(--border-color);
    }

    // Slider controls
    .picker_selector {

      // Add custom color to sliders
      box-shadow: 0 0 3px 0 var(--foreground-color);
    }

    // Hide unused components
    .picker_done,
    .picker_editor,
    .picker_cancel {
      display: none;
    }

    .picker_sample {

      // Make the sample visible (height was based on the now hidden "OK" button)
      height: 2em;
    }
  }
}
